import { InjectionToken } from '@angular/core';

import { combineReducers, Action, ActionReducerMap } from '@ngrx/store';
import * as fromRouter from '@ngrx/router-store';

import { State } from './state';

export const ROOT_REDUCERS = new InjectionToken<
  ActionReducerMap<State, Action>
>('Root reducers token', {
  factory: () => ({
    router: fromRouter.routerReducer
  })
});
