import { NgModule } from '@angular/core';

import axios from 'axios';
import { AxiosInstance } from 'axios';

import { AXIOS_INSTANCE } from '@ucap/ng-core';

export function axiosFactory() {
  return (): AxiosInstance => {
    return axios.create();
  };
}

@NgModule({
  imports: [],
  exports: [],
  providers: [
    {
      provide: AXIOS_INSTANCE,
      useFactory: axiosFactory,
      deps: [],
      multi: false
    }
  ]
})
export class AppProviderModule {}
