import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { AuthenticationUiModule } from '@ucap/ng-ui-authentication';

import { AppAccountRoutingPageModule } from './account-routing.page.module';

import { COMPONENTS } from './components';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    AuthenticationUiModule,
    AppAccountRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppAccountPageModule {}
